Creates a new equipment_model object
Request Information
URI Parameters :
None.
Body Parameters :
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "131e5eaf-368c-4b28-9758-a3a005be4133",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "409e8bfa-db59-43cd-bfc1-52fa011e65d6",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "5c6c31e5-7023-4a7a-bbb9-10cba53c2b75",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "57b6801a-6c06-4daf-9dc6-88096eae5b44",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "314bcfb5-5859-47d8-8490-8cbf7cd14221",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6bf7586b-a937-412f-94df-9305bf98649c",
"db_currency_id": "2f3f4eb4-bfa9-4b50-b0cc-38d34d68c9dc",
"db_language_id": "c25a99b6-0e9c-4e76-a172-1d7c43bc721f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T03:37:16.1266647+00:00"
},
"modified_dateutc": "2026-11-18T03:37:16.1266647+00:00"
},
"equipment_family_id": "b24c3708-61b3-4209-9004-b6051d25e5b9",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "2561df07-7fca-4ee9-bf3e-b2a6f3a97b3a",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "e3c1bfe6-e135-489e-9c4f-de36b32084c1",
"_parent_code": "sample string 6",
"sales_organization_id": "6d91b043-20f8-4757-bb74-a038dd40205d",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "314bcfb5-5859-47d8-8490-8cbf7cd14221",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6bf7586b-a937-412f-94df-9305bf98649c",
"db_currency_id": "2f3f4eb4-bfa9-4b50-b0cc-38d34d68c9dc",
"db_language_id": "c25a99b6-0e9c-4e76-a172-1d7c43bc721f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T03:37:16.1266647+00:00"
},
"modified_dateutc": "2026-11-18T03:37:16.1266647+00:00"
},
"date_in_production_since": "2026-11-18T03:37:16.1266647+00:00",
"date_out_of_production_since": "2026-11-18T03:37:16.1266647+00:00",
"date_end_support": "2026-11-18T03:37:16.1266647+00:00",
"sales_organization_id": "1a146379-50aa-4797-bc53-8efa2d360db7",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "314bcfb5-5859-47d8-8490-8cbf7cd14221",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6bf7586b-a937-412f-94df-9305bf98649c",
"db_currency_id": "2f3f4eb4-bfa9-4b50-b0cc-38d34d68c9dc",
"db_language_id": "c25a99b6-0e9c-4e76-a172-1d7c43bc721f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T03:37:16.1266647+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-18T03:37:16.1266647+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.